package com.xvji.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.xvji.domain.Component;
import com.xvji.domain.TrainTask;

import java.util.List;

/**
 * 训练任务服务接口
 */
public interface TrainTaskService extends IService<TrainTask> {

    /**
     * 新增训练任务并关联单个组件
     * @param trainTask 训练任务信息
     * @param component 关联组件信息
     * @return 操作结果
     */
    boolean addTrainTaskWithComponent(TrainTask trainTask, Component component);

    /**
     * 查询所有训练任务
     * @return 训练任务列表
     */
    List<TrainTask> getAllTrainTasks();

    /**
     * 根据id删除训练任务
     * @param taskId 训练任务id
     * @return
     */
    boolean deleteTrainTaskWithComponents(Long taskId);

    boolean updateTrainTask(TrainTask task);

}